CREATE PROCEDURE [dbo].[KCI_SP_RELEASE_ORDER_MOD_TO_PLAN] 
AS
BEGIN
DECLARE @RC int
DECLARE @R_RESULT_STATUS int
DECLARE @R_RETURN_CODE varchar

ALTER DATABASE IPPCS_PROD SET RECOVERY BULK_LOGGED;
-- ===============================
-- BACKUP DATABASE ORDERPLAN TABLE
-- ===============================

DELETE FROM [KCI_DB].[dbo].TB_T_ORDERPLAN;

INSERT INTO [KCI_DB].[dbo].TB_T_ORDERPLAN
  ( INVOICE_NO, -- 1
	SUPPLIER_CODE, --2
	SUPPLIER_PLANT, --3
	SHIPPING_DOCK, --4
	COMPANY_CODE, --5
	RCV_PLANT_CODE, --6
	DOCK_CODE, --7
	ORDER_NO, --8
	CAR_FAMILY_CODE, --9
	RE_EXPORT_CODE, --10
	PART_NO, --11
	KNBN_PRN_ADDRESS, --12
	ORDER_TYPE, --13
	ORDER_RELEASE_DATE, --14
	KNBN_NO, --15
	QTY_PER_CONTAINER, --16
	ORDER_PLAN_QTY,  --17
	ORDER_PLAN_QTY_LOT, --18
	BUILD_OUT_FLAG,  --19
	BUILD_OUT_QTY,  --20
	AICO_CEPT_FLAG,  --21
	SUPPLIER_NAME,  --22
	PARTS_NAME,  --23
	ORDER_MODE,  --24
	SHIPPING_DATE,  --25
	ARRIVAL_DATE,  --26
	MR_GRP_CODE,  --27
	MR_ORDER_SEQ,  --28
	MR_DATE,  --29
	SR_GRP_CODE,  --30
	SR_SEQ,  --31
	SR_DATE,  --32
	FST_X_DOC_CODE,  --33
 	FST_X_PLANT_CODE,  --34
	FST_X_SHIPPING_DOCK_CODE,  --35
	FST_X_DOCK_ARRIVAL_DATE,  --36
	FST_X_DOCK_DEPART_DATE,  --37
	FST_X_DOCK_ROUTE_GRP_CODE,  --38
	FST_X_DOCK_SEQ_NO,  --39
	FST_ROUTE_DATE,  --40
	SND_X_DOC_CODE,  --41
	SND_X_PLANT_CODE,  --42
	SND_X_SHIPPING_DOCK_CODE,  --43
	SND_X_DOCK_ARRIVAL_DATE,  --44
	SND_X_DOCK_DEPART_DATE,  --45
	SND_X_DOCK_ROUTE_GRP_CODE,  --46
	SND_X_DOCK_SEQ_NO,  ---47
	SND_ROUTE_DATE,  --48
	TRD_X_DOC_CODE,  --49
	TRD_X_PLANT_CODE,  --50
	TRD_X_SHIPPING_DOCK_CODE,  --51
	TRD_X_DOCK_ARRIVAL_DATE,  --52
	TRD_X_DOCK_DEPART_DATE,  --53
	TRD_X_DOCK_ROUTE_GRP_CODE,  --54
	TRD_X_DOCK_SEQ_NO,  --55
	TRD_ROUTE_DATE,  --56
	MANIFEST_PRN_POINT_CODE,  --57
	MANIFEST_PRN_DATE_PLANT,  --58
	MANIFEST_PRN_DATE_LOCAL,  --59
	KNBN_PRN_POINT_CODE,  --60
	KNBN_PRN_DATE_PLANT,  --61
	KNBN_PRN_DATE_LOCAL,  --62
	CONVEYANCE_ROUTE,  --63
	FERRY_PORT_ARRIVAL_DATE,  --64
	FERRY_PORT_DEPART_DATE,  --65
	PRINT_FLAG,  --66
	PRINT_DATE,  --67
	RECEIVE_FLAG,  --68
	RECEIVE_DATE,  --69
	USAGE_FLAG,  --70
	USAGE_DATE,  --71
	DELETION_FLAG,  --72
	DELETION_DATE,  --73
	DROP_STATUS_FLAG,  --74
	DROP_STATUS_DATE,  --75
	RECEIVED_QTY,  --76
	SAP_FLAG,  --77
	SAP_DATE,  --78
	TOTAL_PAGE,  --79
	EKBS_FLAG,  --80
	EKBS_DATE,  --81
	PAT_DP_FLAG,  --82
	PAT_PL_FLAG,  --83
	DP_DELIVERY_FLAG,  --84
	DP_DELIVERY_DATE,  --85
	DP_DROP_STATUS_FLAG,  --86
	DP_DROP_STATUS_DATE,  --87
	DP_RECEIVE_FLAG,  --88
	DP_RECEIVE_DATE,  --89
	IS_ZIPED  --90
  )
SELECT  A.MANIFEST_NO,   --1
		A.SUPPLIER_CD,  --2
		A.SUPPLIER_PLANT,  --3
		A.SHIPPING_DOCK,  --4
		A.COMPANY_CD,  --5
		B.RCV_PLANT_CD,  --6
		A.DOCK_CD,  --7
		A.ORDER_NO,  --8
		A.CAR_FAMILY_CD,  --9
		A.RE_EXPORT_CD,  --10
		B.PART_NO,  --11
		B.KANBAN_PRINT_ADDRESS,  --12
		A.ORDER_TYPE,  --13
		A.ORDER_RELEASE_DT,  --14
		B.KANBAN_NO,  --15
		B.QTY_PER_CONTAINER,  --16
		B.ORDER_QTY,  --17
		B.ORDER_PLAN_QTY_LOT,  --18
		B.BUILD_OUT_FLAG,  --19
		B.BUILD_OUT_QTY,  --20
		B.AICO_CEPT_FLAG,  --21
		B.SUPPLIER_NAME,  --22
		B.PART_NAME,  --23
		B.ORDER_MODE,  --24
		A.SHIPPING_DT,  --25
		A.ARRIVAL_PLAN_DT,   --26
		A.P_LANE_CD,  --27
		A.P_LANE_SEQ,  --28
		A.P_LANE_DT,  --29
		A.SUB_ROUTE_CD,  --30
		A.SUB_ROUTE_SEQ,  --31
		A.SUB_ROUTE_DT, --32
		A.FST_X_DOC_CD,  --33
		A.FST_X_PLANT_CD,  --34
		A.FST_X_SHIPPING_DOCK_CD,  --35
		A.FST_X_DOCK_ARRIVAL_DT,  --36
		A.FST_X_DOCK_DEPART_DT,  --37
		A.FST_X_DOCK_ROUTE_GRP_CD,  --38
		A.FST_X_DOCK_SEQ_NO,  --39
		A.FST_X_ROUTE_DT,  --40
		A.SND_X_DOC_CD,  --41
		A.SND_X_PLANT_CD,  --42
		A.SND_X_SHIPPING_DOCK_CD,  --43
		A.SND_X_DOCK_ARRIVAL_DT,  --44
		A.SND_X_DOCK_DEPART_DT,  --45
		A.SND_X_DOCK_ROUTE_GRP_CD,  --46
		A.SND_X_DOCK_SEQ_NO,  --47
		A.SND_X_ROUTE_DT,  --48
		A.TRD_X_DOC_CD,  --49
		A.TRD_X_PLANT_CD,  --50
		A.TRD_X_SHIPPING_DOCK_CD,  --51
		A.TRD_X_DOCK_ARRIVAL_DT,  --52
		A.TRD_X_DOCK_DEPART_DT,  --53
		A.TRD_X_DOCK_ROUTE_GRP_CD,  --54
		A.TRD_X_DOCK_SEQ_NO,  --55
		A.TRD_X_ROUTE_DT,  --56
		A.MANIFEST_PRINT_POINT_CD,  --57
		A.MANIFEST_PRINT_DATE_PLANT,  --58
		A.MANIFEST_PRINT_DATE_LOCAL,  --59
		B.KANBAN_PRINT_POINT_CD,  --60
		B.KANBAN_PRINT_DATE_PLANT,  --61
		B.KANBAN_PRINT_DATE_LOCAL,  --62
		A.CONVEYANCE_ROUTE,  --63
		'', -- was : FERRY_PORT_ARRIVAL_DATE, #NA   --64
		'', -- was : FERRY_PORT_DEPART_DATE, #NA  --65
		A.PRINT_FLAG,  --66
		A.PRINT_DATE,  --67
		A.RECEIVE_FLAG,  --68
		A.RECEIVE_FLAG,  --69
		A.USAGE_FLAG,  --70
		A.USAGE_DT,  --71
		A.DELETION_FLAG,  --72
		A.DELETION_DT,  --73
		A.DROP_STATUS_FLAG,  --74
		A.DROP_STATUS_DT,  --75
		0,  -- was : RECEIVED_QTY,  --76
		A.ICS_FLAG,  --77
		A.ICS_DT,  --78
		A.TOTAL_PAGE,  --79
		B.EKBS_FLAG,  --80
		B.EKBS_DT,  --81
		A.PAT_DP_FLAG,  --82
		A.PAT_PL_FLAG,  --83
		'', -- was : DP_DELIVERY_FLAG,  --84
		'', -- was : DP_DELIVERY_DATE,  --85
		'', -- was : DP_DROP_STATUS_FLAG,  --86
		'', -- was : DP_DROP_STATUS_DATE,  --87
		'', -- was : DP_RECEIVE_FLAG,  --88
		'', -- was : DP_RECEIVE_DATE,  --89
		A.IS_ZIPED  --90
 FROM [dbo].TB_R_DAILY_ORDER_PART B, TB_R_DAILY_ORDER_MANIFEST A
WHERE B.MANIFEST_NO = A.MANIFEST_NO 
AND B.RCV_PLANT_CD = '1';

-- ===============================
-- CLEAR LOG
-- ===============================
DELETE FROM KCI_DB.dbo.TB_T_MODULE_UPDATE
DELETE FROM KCI_DB.dbo.TB_T_ORDER_MOD
DELETE FROM KCI_DB.dbo.TB_T_PART
DELETE FROM KCI_DB.dbo.TB_R_LOG_D
DELETE FROM KCI_DB.dbo.TB_R_LOG_H

BEGIN TRAN
 EXECUTE @RC = [IPPCS_PROD].[dbo].SP_GetGoodReceipt ------- was : [dbo].[KCI_SP_MOD_ORDER_PLAN_KNBN_SHUTTER_PART]
	--[NEWKBS].[dbo].[SP_MOD_ORDER_PLAN_KNBN_SHUTTER_NO]
	--[NEWKBS].[dbo].[SP_MOD_ORDER_PLAN_KNBN_DUMMY_LOT]
   @R_RESULT_STATUS OUTPUT,
   @R_RETURN_CODE OUTPUT
IF @R_RESULT_STATUS = 0
BEGIN
	COMMIT
END
ELSE
BEGIN
	ROLLBACK
	RAISERROR(@R_RETURN_CODE, 11,1)
END
ALTER DATABASE IPPCS_PROD SET RECOVERY FULL;
END

